- Qt 6.11
- Qt Quick
- QML Types
- QtQuick.VectorImage.Helpers
- ColorOpacityAnimation
- Qt 6.11.2 Reference Documentation

# ColorOpacityAnimation QML Type

Animates the alpha value of a color without modifying the rest of the color. More...

Import Statement: | `import QtQuick.VectorImage.Helpers`
Since: | Qt 6.10
Inherits: | Item

- List of all members, including inherited members

## Properties

- from : real
- to : real

## Detailed Description

This type will animate the alpha value of a color without modifying the other components. It is used to support the `fill-opacity` and `stroke-opacity` properties of SVG, which can be animated separately from the opacity of the shape itself.

## Property Documentation

### from : real

The value of the color's alpha channel at the start of the animation.

### to : real

The value of the color's alpha channel at the end of the animation.